> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Paystub PDF

> Fetch a PDF of a paystub corresponding to a processed employee check.



## OpenAPI

````yaml openapi/zeal-api.json get /paystub/company/{companyID}/check/{employeeCheckID}
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /paystub/company/{companyID}/check/{employeeCheckID}:
    get:
      summary: Download Paystub PDF
      description: >-
        Download an employee's paystub in PDF. For US payroll, the employee
        check must be processed.
      operationId: download-paystub-pdf
      parameters:
        - name: companyID
          in: path
          description: ID of the company
          schema:
            type: string
          required: true
        - name: employeeCheckID
          in: path
          description: ID of the employee check to download paystub for
          schema:
            type: string
          required: true
        - name: paystubSnapshotRevisionID
          in: query
          description: Optional paystub snapshot revision to download.
          schema:
            type: string
          required: false
      responses:
        '200':
          description: Paystub PDF
          content:
            application/pdf:
              schema:
                type: string
                format: binary
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    testMode: false
                    errors:
                      - message: Employee Check with this ID does not exist
                        code: 17
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  testMode:
                    type: boolean
                    example: false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Employee Check with this ID does not exist
                        code:
                          type: integer
                          example: 17
                          default: 0
        '409':
          description: >-
            The paystub is not available because the US employee check has not
            been processed.
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    testMode: false
                    errors:
                      - message: Paystub is not available until the check is processed.
                        code: PAYSTUB_NOT_AVAILABLE
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  testMode:
                    type: boolean
                    example: false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Paystub is not available until the check is
                            processed.
                        code:
                          type: string
                          example: PAYSTUB_NOT_AVAILABLE
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.